# FirmhouseInvoiceLineItem

## Properties

| Property                           | Type                                                                                                                | Description                                                              |
| ---------------------------------- | ------------------------------------------------------------------------------------------------------------------- | ------------------------------------------------------------------------ |
| `amountExcludingTaxCents`          | `number`                                                                                                            | Unit price excluding tax                                                 |
| `amountIncludingTaxCents`          | `number`                                                                                                            | Unit price including tax                                                 |
| `billingPeriodEndsAt`              | `null` \| `string`                                                                                                  | Billing period end date for the invoice                                  |
| `billingPeriodStartsAt`            | `null` \| `string`                                                                                                  | Billing period start date for the invoice                                |
| `description`                      | `null` \| `string`                                                                                                  | The description of this invoice line item.                               |
| `effectiveAmountExcludingTaxCents` | `number`                                                                                                            | Effective unit price excluding tax, corrected based on invoice discount. |
| `effectiveAmountIncludingTaxCents` | `number`                                                                                                            | Effective unit price including tax, corrected based on invoice discount. |
| `id`                               | `string`                                                                                                            | The database ID of this invoice line item.                               |
| `lineItemType`                     | [`LineItemTypeEnum`](https://developer.firmhouse.com/sdks/firmhouse-sdk/reference/enumerations/line-item-type-enum) | Indicates what this line item is charging for                            |
| `metadata`                         | `unknown`                                                                                                           | Metadata makes it possible to store additional information on objects.   |
| `product`                          | [`FirmhouseProduct`](https://developer.firmhouse.com/sdks/firmhouse-sdk/reference/interfaces/firmhouse-product)     | The associated product in case of a product charge                       |
| `quantity`                         | `number`                                                                                                            | Quantity for this line item                                              |
| `taxPercentage`                    | `number`                                                                                                            | The percentage of tax used for this invoice.                             |
| `totalAmountExcludingTaxCents`     | `number`                                                                                                            | Total amount for this line item excluding tax (unit price \* quantity)   |
| `totalAmountIncludingTaxCents`     | `number`                                                                                                            | Total amount for this line item including tax (unit price \* quantity)   |
| `totalTaxAmountCents`              | `number`                                                                                                            | Total amount of tax charged                                              |


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://developer.firmhouse.com/sdks/firmhouse-sdk/reference/interfaces/firmhouse-invoice-line-item.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
